<!doctype html>
<html lang="en">
<head>
<title>31-openqadebiannet-automated-testing-of-debian-i</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 1:</span><span class="a_7UcpNNJaBNCuxMe5" title="a_7UcpNNJaBNCuxMe5" style="background-color:#00065f"> Any idea if there is any testing on Apple M1 processors due to those being new arm processors that debian needs to be ported over to?</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">Currently I'm only doing amd64, but if people can show me how, I'd love to do more</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 2:</span><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"> Are you testing the live images as well?</span><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">Not currently -- I have some tests of kali live just as an example</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2">I'm interested in adding the live images</span><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">Good :-)  Me too -- talk to me about it.</span><span class="a_dVlw2zAZeoGuDaFb" title="a_dVlw2zAZeoGuDaFb" style="background-color:#47a811"></span><br><span class="a_dVlw2zAZeoGuDaFb" title="a_dVlw2zAZeoGuDaFb" style="background-color:#47a811"></span><br><span class="a_dVlw2zAZeoGuDaFb" title="a_dVlw2zAZeoGuDaFb" style="background-color:#47a811">Me three, and will get in touch after DC21.</span><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2">I'll contact you soon. I think that using OpenQA will reduce the stress while releasing live-images/installer-images a lot.</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Comment: I was implementing a project with openqa in my $dayjob and I was thinking of doing the same with Debian. And it turned out you have already completed while I was just thinking. :)</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">I was looking at your tests, very impressive. I know the pains in setting up the tests and needles.</span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">Yeah, takes some patience, but it's not actually hard.</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 3: </span><span class="a_dVlw2zAZeoGuDaFb" title="a_dVlw2zAZeoGuDaFb" style="background-color:#47a811">How exact do the screenshots have to match? What happens if one pixel is slightly different, do I need to re-take that screenshot, or is there some level of fuzz I can specify as acceptable?</span><span class="a_sIv8isVE3MfeKxKP" title="a_sIv8isVE3MfeKxKP" style="background-color:#1f747a"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">it renders them to greyscale, and is not totally picky about the comparison -- and that's tunable (see in about 30 seconds :-) )</span><br><span class="a_Jjczb21VbdLBYUEJ" title="a_Jjczb21VbdLBYUEJ" style="background-color:#7f8456"></span><br><span class="a_Jjczb21VbdLBYUEJ" title="a_Jjczb21VbdLBYUEJ" style="background-color:#7f8456">Question 4: Is openqa.debian.net available only to DDs, or all salsa users (because trying to login for me fails with "The redirect URI included is not valid"; I only have package uploaded via sponsor) ?</span><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">you need to be on https -- seems I screwed up a redirect -- sorry</span><span class="a_Jjczb21VbdLBYUEJ" title="a_Jjczb21VbdLBYUEJ" style="background-color:#7f8456"> (that's it, thanks)</span><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">All salsa users</span><span class="a_Jjczb21VbdLBYUEJ" title="a_Jjczb21VbdLBYUEJ" style="background-color:#7f8456"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2">Question 5: How does OpenQA differ from the work in Tails? They also test their ISO images</span><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">I'm afraid I don't know .. h01ger might?</span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"></span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">Question 6: should be prevent "competetion" with autopkgtest or do you think they are really complementary? I not (totally) complemtary, how do you see this?</span><span class="a_FUqouacORMtoAuWE" title="a_FUqouacORMtoAuWE" style="background-color:#58979a"></span><br><span class="a_FUqouacORMtoAuWE" title="a_FUqouacORMtoAuWE" style="background-color:#58979a"></span><br><span class="a_FUqouacORMtoAuWE" title="a_FUqouacORMtoAuWE" style="background-color:#58979a">Question 7: How is the "fuzz" % for screenshots calculated?</span><br><span class="a_FUqouacORMtoAuWE" title="a_FUqouacORMtoAuWE" style="background-color:#58979a"></span><br><span class="a_tSRIsNjbpOmkymlt" title="a_tSRIsNjbpOmkymlt" style="background-color:#1ab311">magic ;-)   (sorry, I've been using it for years, and I've not managed to really get a feel for it, but it doesn't really matter as turning it up and down does what you expect ... I would read the code if I cared about it)</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
